Bug 59479 - scale image height down creates black image
Summary: scale image height down creates black image
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gimp   
(Show other bugs)
Version: 7.1
Hardware: alphaev6
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-08 19:51 UTC by Andrew Schultz
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 00:52:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Schultz 2002-02-08 19:51:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
Scaling down the height of an image creates an image that is solid black.  this
only seems to happen on alpha.  scaling only the width does not exhibit this
problem, and increasing the height also works.

Version-Release number of selected component (if applicable):
gimp-1.2.1-5 and gimp-1.2.1-7 (rawhide)
works ok with gimp-1.2.1-7 on Athlon, RH7.2

How reproducible:
Always

Steps to Reproduce:
1. open an image
2. Image->Scale.
3. pick a height less than the current one

Actual Results:  solid black image

Expected Results:  scaled image

Comment 1 Matt Wilson 2002-12-15 00:52:19 UTC
yes, I saw this behavior as well.  We won't be fixing it on alpha unfortunately.
 That product is end of life.


Comment 2 Andrew Schultz 2002-12-15 01:27:42 UTC
FWIW, this is a problem with gcc optimization:
http://alpha.crl.dec.com/bugzilla/show_bug.cgi?id=10


Note You need to log in before you can comment on or make changes to this bug.